# Gimp.Display

    const Gimp = imports.gi.Gimp;

    let display = new Gimp.Display({
        id: value,
    });

Functions to create, delete and flush displays (views) on an image.

## Hierarchy

- GObject.Object
  - Gimp.Display

## Constructors

- Gimp.Display.new

## Methods

- Gimp.Display.prototype.delete
- Gimp.Display.prototype.get_id
- Gimp.Display.prototype.get_window_handle
- Gimp.Display.prototype.is_valid
- Gimp.Display.prototype.present

## Static Functions

- Gimp.Display.get_by_id
- Gimp.Display.id_is_valid
- Gimp.Display.name

## Properties

- id